/*	
 *	clipc17.h
 *
 *	P/ECE EPSON S1C17702 Emulator
 *
 *	CLiP - Common Library for P/ECE
 *	Copyright (C) 2001-2010 Naoyuki Sawa
 *
 *	* Fri Dec 25 00:36:52 JST 2009 Naoyuki Sawa
 *	- 쐬JnB
 */
#ifndef __CLIP_C17_H__
#define __CLIP_C17_H__

/****************************************************************************
 *	
 ****************************************************************************/

/* 菇
 * @s1c17_flash_load()ĂяoāAtbVROM[hB
 * As1c17_init()ĂяoB
 *   CPȔtbVROM̃xN^e[uɈˑĂ̂ŁA@ƇȀ͕K{B
 * BKvɉs1c17_port_get()ĂяoāAZbg̓̓|[g̏Ԃݒ肷B
 *   s1c17_init()͓̓|[gԂNÂŁAB̌ŇAsƌʂĂ܂B
 * s菇
 * @Kvɉs1c17_port_set()ĂяoA̓|[gԂύXB
 * As1c17_exec()ĂяoA莞ԕ̃G~[VsB
 *   Ƃ1/30bȂ΁Aɂ8000000/30w肷B
 * BKvɉs1c17_port_get()ĂяoAo̓|[gԂ擾B
 * Cs1c17_lcd_image()ĂяoALCDC[W擾B
 *   C[W`́APIECE_BMP,1bit}XÑobt@`Ɍ݊B
 * D@ɖ߂B
 */

void s1c17_flash_load(int addr, const void* data, int size);
void s1c17_init();
void s1c17_exec(int cycle);
int s1c17_port_get(int port);
void s1c17_port_set(int port, int data);
int s1c17_lcd_image(unsigned char buff[/*32*/][72 / 8]);

#endif /*__CLIP_C17_H__*/
